#!/bin/sh

VER_JAVA=

# CHECK_JAVA=java -version

java -version > /dev/null 2>ver.java
VER_JAVA=`grep java ver.java`
 
NUM_JAVA=
for token in $VER_JAVA
do
  echo $token > ver.java
  NUM_JAVA=`grep 1. ver.java` 
done

# expr "$NUM_JAVA" = "\"1.2.2\""
# ESITO=$?
# if [ $ESITO -eq 1 ]
# then
#   NUM_JAVA=
# fi

if [ "x$NUM_JAVA" = "x" ]
then
  jre > /dev/null 2>ver.java
  VER_JAVA=`grep 1. ver.java`
 
  NUM_JRE=
  for token in $VER_JAVA
  do
    echo $token > ver.java
    NUM_JRE=`grep 1. ver.java` 
  done

#  expr "$NUM_JRE" = "1.2.2"
#  ESITO=$?
#  if [ $ESITO -eq 1 ]
#  then
#    NUM_JRE=
#  fi
fi

if [ -e ver.java ]
then
  rm ver.java
fi

LIB_SPF=
for libFile in lib/*
do
  if [ -f $libFile ]
  then
    LIB_SPF=${LIB_SPF}$libFile:
  fi
done

for spflib in classes/*
do
  if [ -f $spflib ]
  then
    LIB_SPF=${LIB_SPF}$spflib:
  fi
done

if [ "x$NUM_JAVA" = "x" ]
then
  if [ "x$NUM_JRE" = "x" ]
  then
    echo "WARNING : VM non presente"
  else
    jre -cp ${LIB_SPF} -DPCCSA_ROOT=. ancitel.pccsa.client.PCCSAClient 2>.error
  fi
else
  java -classpath ${LIB_SPF} -DPCCSA_ROOT=. ancitel.pccsa.client.PCCSAClient 2>.error
fi

